local const = require("const")
local utils = require("utils3")

local memkv = ngx.shared.memkv

utils.check_request_method("DELETE")

local token = ngx.var[1]
local _, auth_token = utils.check_auth()
if  token ~= auth_token then
    return utils.error_exit(
            ngx.HTTP_FORBIDDEN,
            const.FORBIDDEN,
            "permission denied")
end

memkv:delete(token)
ngx.header['Content-Type'] = 'application/json; charset=utf-8'
ngx.exit(ngx.HTTP_OK)