local const = require("const")
local json = require("json")
local utils = require("utils")
local utils_device = require("utils_device")
local resty_string = require("resty.string")

local request_method = ngx.var.request_method

utils.check_login()
utils.check_permission("DeviceManage")

if ("POST" == request_method) then
    local utils_header = require("utils_header")
    local params = utils_header.check_public_body_data()
    local ret, ret_msg = utils.sync_device_tags()
    if (ret == true) then
        utils.error_exit(200, json.encode(ret_msg))
    else
        utils.error_exit(500, json.encode(ret_msg))
    end
end

utils.error_exit(400, "Invalid request method")
