import os
import glob
import csv
from xlsxwriter.workbook import Workbook

def csv_to_xlsx(csvfile,output_dir):
#for csvfile in glob.glob(os.path.join('.', '*.csv')):
    xlsx_file=output_dir+csvfile[csvfile.rfind('/')+1:-4] + '.xlsx'
    workbook = Workbook(xlsx_file)
    worksheet = workbook.add_worksheet()
    headings=['Send Time', 'Duration']
    bold = workbook.add_format({'bold': 1})
    with open(csvfile, 'rt', encoding='utf8') as f:
        reader = csv.reader(f)
        for r, row in enumerate(reader):
            if r == 0:
                worksheet.write_row('A1', headings, bold)    
                continue
            for c, col in enumerate(row):
                worksheet.write(r, c, float(col))
    chart_col = workbook.add_chart({'type':'line'})
    chart_col.add_series({
        'name': ['Sheet1',0,1],
    #    'categories': ['Sheet1',1,0,r,0],
        'values': ['Sheet1',1,1,r,1],
        'line':{'color':'yellow'} , 
    })
    chart_col.set_title({'name': 'The Link IoT Edge Gateway Device Access Performance'})
    chart_col.set_x_axis({'name': 'Test Send Time'})
    chart_col.set_y_axis({'name':  'Duration (us)'})
    chart_col.set_style(1)
    chart_col.set_size({'x_scale': 3, 'y_scale': 4})
    worksheet.insert_chart('C10', chart_col, {'x_offset': 25, 'y_offset': 10})
    workbook.close()
    return xlsx_file
